<%@ Page CodeBehind="show.aspx.cs" Language="c#" AutoEventWireup="True" Inherits="Webdisk.showpic" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html lang="zh-CN">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title></title>

    <!-- Plugin styles -->
     <link rel="stylesheet" href="css/bootstrap.min.css">
	<link rel="stylesheet" href="css/atlantis.css">
<style>
body img{
	border:3px ridge gold;
}
a:link,a:visited{
	text-decoration: none; color: blue;font-weight: bold;
}
a:hover,a:visited {
	text-decoration: none;
	position: relative;
	top: 1.5px;
	left: 1.5px
}
td,body {
	font-size:14px;
	font-family:arial,sans-serif;
}
.photobox {	
	border-top: 2px dotted #C6CFBD;
	border-left: 2px dotted #C6CFBD;
	border-right: 2px dotted #C6CFBD;
	border-bottom: 2px dotted #C6CFBD;
}
</style>
	</HEAD>
	<body>
<%if (Request["type"].ToString()=="1") {%>
<div align="center"><center>
  <table border="0" cellpadding="0" cellspacing="0" style="border-collapse: collapse">
  	<tr>
  	  <td align="center"><a href="<%=uplink%>">上一张</a>&nbsp;&nbsp;<a href="<%=nextlink%>">下一张</a>&nbsp;&nbsp;<a href='javascript:window.close();'>关闭窗口</a><BR/><BR/></td>
  	</tr>
   <tr>
      <td class="photobox" align=center valign=middle style="PADDING: 5px"><img class="img-fluid" src="<%=link1%>" onClick="window.open(img.src);" style="cursor:hand"></td>
    </tr>
  </table>
  </center>
</div>
<%}%>
<%if (Request["type"].ToString()=="2")
{%>
<%
string str1=Request["filepath"].ToString();
if(str1.EndsWith("mp3")){
%>
 <div style="text-align: center;background-color:white;padding-top:20px;padding-bottom:20px">
	<p> <%=title %><p><p>
        <audio src="<%=link2%>", controls="controls" autoplay loop></audio>
        </div>

		<%
}else{
%>
        <div style="text-align:center;background-color:white;padding-top:20px;padding-bottom:20px">
			<p><%=title %><p><p>
            <video width="100%" height="100%" id = "video1" controls="controls" autoplay loop>
                <source src="<%=link2%>", type="video/mp4"></source>
            </video>
        </div>
		<%
}
%>
<%}%>
<%if (Request["type"].ToString()=="3")
{%>
<object classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" codebase="http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=6,0,29,0" width="100%" height="100%" VIEWASTEXT>
	<param name="movie" value="<%=link3%>">
	<param name="quality" value="high">
	<embed src="<%=link3%>" quality="high" pluginspage="http://www.macromedia.com/go/getflashplayer" type="application/x-shockwave-flash" width="100%" height="100%"></embed>
   </object>
<table cellSpacing=0 cellPadding=0 border=0 align="center" width="100%">
    <tr><td height=10></td></tr>
    <tr><td class="photobox" align=center valign=middle style="PADDING: 5px"><a href="javascript:window.close(-1)" target="_self">关 闭</a>&nbsp;&nbsp;&nbsp;&nbsp;<a href="<%=link3%>" target="_blank">下 载</a>&nbsp;&nbsp;&nbsp;&nbsp;<a href="javascript:location.reload()" target="_self">刷 新</a></td></tr>
  </table>
<%}%>
<%if (Request["type"].ToString()=="5")
{%>
<script language="JavaScript" type="text/JavaScript">
function setFull()
{
	if(!document.playfull.CanStop()){
		alert("影片未开始播放无法切换为全屏模式")
	}else{
		alert("点击确定按钮后进入全屏播放模式,在全屏播放模式中按 Esc 键退出全屏模式")
		document.playfull.SetFullScreen()
	}
}
function rf(){
	return false;
}
document.oncontextmenu = rf
function keydown(){
	if(event.ctrlKey ==true || event.keyCode ==93 || event.shiftKey ==true){
		return false;
	} 
}
document.onkeydown =keydown
function drag(){
	return false;
}
document.ondragstart=drag
function stopmouse(e) { 
	if (navigator.appName == 'Netscape' && (e.which == 3 || e.which == 2))  
		return false; 
	else if (navigator.appName == 'Microsoft Internet Explorer' && (event.button == 2 || event.button == 3)) {
		alert("欢迎你观赏");
		return false; 
	}
	return true;
} 
document.onmousedown=stopmouse;
if (document.layers)
	window.captureEvents(Event.MOUSEDOWN);
	window.onmousedown=stopmouse;

var ERR_NonePlayer="播放器提示您:您的系统中没有安装Real Player播放器，请在主页上下载。\n\nMovie播放器将关闭。";
var ERR_FileNotFind="在线用户过多，服务器限制，请抢线或者换其他播放地址观看！";
var ERR_NotLocateServer="在线用户过多，服务器限制，请抢线或者换其他播放地址观看！";
var ERR_UnkownError="在线用户过多，服务器限制，请抢线或者换其他播放地址观看！";
</script>
<script language="VBScript">
on error resume next
RealPlayerG2 = (NOT IsNull(CreateObject("rmocx.RealPlayer G2 Control")))
RealPlayer5 = (NOT IsNull(CreateObject("RealPlayer.RealPlayer(tm) ActiveX Control (32-bit)")))
RealPlayer4 = (NOT IsNull(CreateObject("RealVideo.RealVideo(tm) ActiveX Control (32-bit)")))
if not RealPlayerG2 and RealPlayer5 and RealPlayer4 then
	if MsgBox("Real 中没有支持此内容的软件更新。", vbYesNo) = vbYes then
		
	end if
end if

Sub player_OnBuffering(lFlags,lPercentage)
	if (lPercentage=100) then
		StartPlay=false
		if (FirstPlay) then
			FirstPlay=false
			id=player 
		end if	
		exit sub
	end if
End Sub
Sub player_OnErrorMessage(uSeverity, uRMACode, uUserCode, pUserString, pMoreInfoURL, pErrorString)
select case player.GetLastErrorRMACode()
		case -2147221496
			window.alert(ERR_FileNotFind)
		case -2147221433,-2147221428,-2147221417,-2147217468
			window.alert(ERR_NotLocateServer)
		case else
			window.alert(ERR_UnkownError)
	end select
End Sub
</script>
  <table cellSpacing=0 cellPadding=0 border=0 align="center">
    <tr>
      <td class="photobox" align=center valign=middle style="PADDING: 5px" width="470">
		<object id="player" name="player" classid="clsid:CFCDAA03-8BE4-11cf-B84B-0020AFBBCCFA" width="468" height="300" VIEWASTEXT>
			<param name="src" value="<%=link3%>">
			<param name="AUTOSTART" value="-1">
			<param name="SHUFFLE" value="0">
			<param name="PREFETCH" value="0">
			<param name="NOLABELS" value="0">
			<param name="CONTROLS" value="Imagewindow">
			<param name="CONSOLE" value="clip1">
			<param name="LOOP" value="0">
			<param name="NUMLOOP" value="0">
			<param name="CENTER" value="1">
			<param name="MAINTAINASPECT" value="1">
			<param name="BACKGROUNDCOLOR" value="#000000">
			<embed src="<%=link3%>" type="audio/x-pn-realaudio-plugin" autostart="true" console="clip1" controls="Imagewindow" width="468" height="300">
		</object>
		<object ID="RP2" CLASSID="clsid:CFCDAA03-8BE4-11cf-B84B-0020AFBBCCFA" WIDTH="468" HEIGHT="30" VIEWASTEXT>
			<param name="_ExtentX" value="4657">
			<param name="_ExtentY" value="794">
			<param name="AUTOSTART" value="-1">
			<param name="SHUFFLE" value="0">
			<param name="PREFETCH" value="0">
			<param name="NOLABELS" value="-1">
			<param name="CONTROLS" value="ControlPanel">
			<param name="CONSOLE" value="clip1">
			<param name="LOOP" value="0">
			<param name="NUMLOOP" value="0">
			<param name="CENTER" value="0">
			<param name="MAINTAINASPECT" value="0">
			<param name="BACKGROUNDCOLOR" value="#000000">
			<embed type="audio/x-pn-realaudio-plugin" autostart="true" console="clip1" controls="ControlPanel" width="468" height="30">
		</object>
		<object classid="clsid:CFCDAA03-8BE4-11cf-B84B-0020AFBBCCFA" height="30" id="RP3"  name="RP3" width="468" VIEWASTEXT>
			<param name="_ExtentX" value="4657">
			<param name="_ExtentY" value="794">
			<param name="AUTOSTART" value="-1">
			<param name="SHUFFLE" value="0">
			<param name="PREFETCH" value="0">
			<param name="NOLABELS" value="-1">
			<param name="CONTROLS" value="StatusBar">
			<param name="CONSOLE" value="clip1">
			<param name="LOOP" value="0">
			<param name="NUMLOOP" value="0">
			<param name="CENTER" value="0">
			<param name="MAINTAINASPECT" value="0">
			<param name="BACKGROUNDCOLOR" value="#000000">
			<embed type="audio/x-pn-realaudio-plugin" autostart="true" console="clip1" controls="StatusBar" width="468" height="30">
		</object>
	  </td>
    </tr>
  </table>
  <table cellSpacing=0 cellPadding=0 border=0 align="center" width="100%">
    <tr><td height=10></td></tr>
    <tr><td class="photobox" align=center valign=middle style="PADDING: 5px"><a href="javascript:window.close(-1)" target="_self">关 闭</a>&nbsp;&nbsp;&nbsp;&nbsp;<a href="<%=link3%>" target="_blank">下 载</a>&nbsp;&nbsp;&nbsp;&nbsp;<a href="javascript:location.reload()" target="_self">刷 新</a>&nbsp;&nbsp;&nbsp;&nbsp;<a href="###" style="CURSOR: hand" onClick="document.player.SetFullScreen()">全 屏</a></td></tr>
  </table>
<%}%>
<%if (Request["type"].ToString()=="4"){
Response.Write(showedit);
Response.Write(showtxt);
}
%>
<%if (Request["type"].ToString()=="6"){
Response.Write("<div align=center>在线查看PDF文件需电脑中安装了Adobe Reader软件</div>");
Response.Write("<iframe src='"+link4+"' width=100% height=100%/>");
}
%>
	</body>
</HTML>